diff -Naur tbnl-0.5.2/modlisp.lisp tbnl-0.5.2a/modlisp.lisp
--- tbnl-0.5.2/modlisp.lisp	Sat Mar 26 17:03:54 2005
+++ tbnl-0.5.2a/modlisp.lisp	Fri Apr  1 16:58:28 2005
@@ -32,9 +32,9 @@
 (defun write-header-line (key value)
   "Accepts a KEY and a VALUE and writes them, one line at a time,
 to the mod_lisp or HTTP/Araneida socket stream."
-  (cond (*use-modlisp-headers*
-         (write-header-line/modlisp key value))
-        (t (write-header-line/http key value))))
+  (if *use-modlisp-headers*
+      (write-header-line/modlisp key value)
+    (write-header-line/http key value)))
 
 (defun write-header-line/modlisp (key value)
   "Accepts a KEY and a VALUE and writes them, one line at a time,
@@ -334,30 +334,31 @@
   "Reads incoming HTTP request from Araneida or directly from a
 browser via *TBNL-STREAM*.  Assumes the first line is already consumed
 and in FIRST-LINE.  Returns an alist of the headers."
-  (let (*use-modlisp-headers*)
-    ;; we're not talkin to mod_lisp, i.e. we're simulating HTTP/1.0,
-    ;; so we always close the stream
-    (setq *close-tbnl-stream* t)
-    (destructuring-bind (method url-string &optional protocol)
-        (cl-ppcre:split " " first-line :limit 3)
-      (let ((headers (and protocol (read-http-headers))))
-        (push (cons "server-ip-port" (format nil "~A" *tbnl-port*))
-              headers)
-        (push (cons "method" method)
-              headers)
-        (push (cons "url" url-string)
-              headers)
-        (when protocol
-          (push (cons "server-protocol"
-                      (string-trim '(#\Space #\NewLine #\Return) protocol))
-                headers))
-        (push (cons "content-stream" *tbnl-stream*) headers)
-        headers))))
+  (setf *use-modlisp-headers* nil)
+  ;; we're not talkin to mod_lisp, i.e. we're simulating HTTP/1.0,
+  ;; so we always close the stream
+  (setq *close-tbnl-stream* t)
+  (destructuring-bind (method url-string &optional protocol)
+      (cl-ppcre:split " " first-line :limit 3)
+    (let ((headers (and protocol (read-http-headers))))
+      (push (cons "server-ip-port" (format nil "~A" *tbnl-port*))
+            headers)
+      (push (cons "method" method)
+            headers)
+      (push (cons "url" url-string)
+            headers)
+      (when protocol
+        (push (cons "server-protocol"
+                    (string-trim '(#\Space #\NewLine #\Return) protocol))
+              headers))
+      (push (cons "content-stream" *tbnl-stream*) headers)
+      headers)))
 
 (defun get-request-data ()
   "Reads incoming headers and posted content \(if any) from the
 front-end or directly from the HTTP stream via *TBNL-STREAM*.  Returns
 the results as an alist."
+  (setf *use-modlisp-headers* t)
   (ignore-errors
     (let ((first-line (read-line *tbnl-stream* nil nil)))
       (cond ((find #\Space first-line)
